Bug 763739 - (GLUSTER-2007) [FEAT] Need glusterd to listen or communicate thru a specific network
[FEAT] Need glusterd to listen or communicate thru a specific network
Status: CLOSED WORKSFORME
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
3.1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Kaushal
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-25 07:17 EDT by Timothy Asir
Modified: 2012-12-21 06:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-21 06:12:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: DNR
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Timothy Asir 2010-10-25 07:17:12 EDT
An option is required in gluster(d) to listen or communicate thru a given private network. This is a required feature for platform HA implementation.
Comment 1 Anand Avati 2010-10-28 21:12:13 EDT
Why is this feature required? Please explain the necessity.
Comment 2 Amar Tumballi 2011-04-25 05:00:43 EDT
Not sure if this is required for Platform HA or not. Overall, its nice to provide an option to bind glusterd to one particular IP (which can be done by 'option bind-address' now in glusterd.vol file). But surely it would be good to keep an option in CLI to make bricks bind to one particular IP. As of today its INADDR_ANY
Comment 3 Amar Tumballi 2012-12-21 06:12:40 EST
workaround for this is to add an option 'bind-address' in glusterd.vol file. Closing as WORKSFORME as bind-address is present for the exact same reason.

Note You need to log in before you can comment on or make changes to this bug.